%define module_version 0.09
%define module_name B-Stats
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Opcodes.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt7
Summary: print optree statistics
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RU/RURBAN/%{module_name}-%{module_version}.tar.gz

%description
Print statistics for all generated ops.

static analysis at compile-time,
static analysis at end-time to include all runtime added modules,
and dynamic analysis at run-time, as with a profiler.

The purpose is to help you in your goal:

    no bloat;


%prep
%setup -n %{module_name}-%{module_version}

%if "%version" == "0.09"
%define _without_test 1
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/B*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.09-alt7
- rebuild with perl 5.38

* Thu Jul 15 2021 Igor Vlasenko <viy@altlinux.org> 0.09-alt6
- rebuild with perl 5.34

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.09-alt5
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.09-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.09-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt2
- rebuild to get rid of unmets

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

